Cutinplace.sh
Aus VDR Wiki
(Unterschied zwischen Versionen)
(M) |
|||
(19 dazwischenliegende Versionen von 13 Benutzern werden nicht angezeigt) | |||
Zeile 1: | Zeile 1: | ||
− | + | Vorschlag für ein einfaches Skript um [[cutinplace]] zu ''starten'', welches über die [[reccmds.conf]] ausgeführt werden kann. | |
− | + | ||
− | + | ||
− | + | ||
− | + | ||
− | + | ||
− | + | ||
− | + | ||
− | + | ||
− | + | ||
− | + | ||
− | + | ||
− | + | ||
− | + | ||
− | + | ||
− | + | ||
− | + | ||
− | + | ||
− | + | ||
− | + | ||
− | + | ||
− | + | ||
− | + | ||
− | + | ||
− | + | ||
− | + | ||
− | + | ||
− | + | ||
− | + | ||
− | + | ||
− | + | ||
− | + | ||
− | + | ||
− | + | ||
− | + | ||
− | + | ||
− | + | ||
− | + | ||
− | + | ||
− | + | ||
− | + | ||
− | + | ||
− | + | ||
− | [[Kategorie: | + | {{Box Datei | [[Struktur|$PATH]]/cutinplace.sh | |
+ | <pre> | ||
+ | #!/bin/sh | ||
+ | # | ||
+ | # cutinplace.sh | ||
+ | # | ||
+ | # add this line to your reccmds.conf: | ||
+ | # folgende zeile in die reccmds.conf eintragen: | ||
+ | # | ||
+ | # cutinplace : /path_to_this_script/cutinplace.sh | ||
+ | |||
+ | which cutinplace >/dev/null 2>&1 || { echo cutinplace $"not found" ... ; exit 1 ; } | ||
+ | |||
+ | MARKS=$(wc -l < "$1/marks.vdr" 2>/dev/null) | ||
+ | if [ ${MARKS:-0} -lt 2 ] ; then | ||
+ | echo $"No editing marks defined" ... | ||
+ | else | ||
+ | if [ -s "${PIDFILE:=$1/cip.pid}" ] ; then | ||
+ | read PID < "$PIDFILE" | ||
+ | echo $"Cutinplace process already active" "(pid: $PID)" ... | ||
+ | else | ||
+ | screen -dm sh -c \ | ||
+ | " \ | ||
+ | cutinplace \"$1\" & | ||
+ | svdrpsend.pl -p ${VDR_PORT:-2001} MESG \""$"Cutinplace process started"" (pid: \$!) ...\" ; \ | ||
+ | echo \$! > \"$PIDFILE\" ; \ | ||
+ | wait \$! ; \ | ||
+ | rm -f \"$PIDFILE\" ; \ | ||
+ | svdrpsend.pl -p ${VDR_PORT:-2001} MESG \""$"Cutinplace process finished"" (pid: \$!) ...\" \ | ||
+ | " | ||
+ | fi | ||
+ | fi | ||
+ | </pre> | ||
+ | }} | ||
+ | |||
+ | ==Quellen== | ||
+ | * [[cutinplace]] | ||
+ | |||
+ | [[Kategorie:Skripte]] |
Aktuelle Version vom 12. Juni 2006, 09:03 Uhr
Vorschlag für ein einfaches Skript um cutinplace zu starten, welches über die reccmds.conf ausgeführt werden kann.
$PATH/cutinplace.sh
#!/bin/sh # # cutinplace.sh # # add this line to your reccmds.conf: # folgende zeile in die reccmds.conf eintragen: # # cutinplace : /path_to_this_script/cutinplace.sh which cutinplace >/dev/null 2>&1 || { echo cutinplace $"not found" ... ; exit 1 ; } MARKS=$(wc -l < "$1/marks.vdr" 2>/dev/null) if [ ${MARKS:-0} -lt 2 ] ; then echo $"No editing marks defined" ... else if [ -s "${PIDFILE:=$1/cip.pid}" ] ; then read PID < "$PIDFILE" echo $"Cutinplace process already active" "(pid: $PID)" ... else screen -dm sh -c \ " \ cutinplace \"$1\" & svdrpsend.pl -p ${VDR_PORT:-2001} MESG \""$"Cutinplace process started"" (pid: \$!) ...\" ; \ echo \$! > \"$PIDFILE\" ; \ wait \$! ; \ rm -f \"$PIDFILE\" ; \ svdrpsend.pl -p ${VDR_PORT:-2001} MESG \""$"Cutinplace process finished"" (pid: \$!) ...\" \ " fi fi